import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:darknessbindingrestraints") {
        world.getAllPlayers().forEach(player => {
            let mana = getScore('mana', player)
            if (mana >= 8) {
                world.getAllPlayers().forEach(player => {
                    let ticks = getScore('socd', player)
                    if (ticks >= 140) {
                        player.runCommand("function darkrestraints")
                    }
                    else if (ticks < 140) {
                        player.runCommand("function darkcdntfr")
                    }
                })
            }
            else if (mana < 8) {
                player.runCommand("function nmana")
            }
        })
    }
})