
//Dark Imports
import './dark/creaturesofthevoid.js';
import './dark/darkarea.js';
import './dark/darkcoat.js';
import './dark/darkcrystal.js';
import './dark/darkphantom.js';
import './dark/darkrestraints.js';
import './dark/darkshot.js';
import './dark/darkslash.js';
import './dark/darkwave.js';
import './dark/lightlesswaveb.js';
import './dark/lightlesswaveba.js';

//Magic Choose Imports
import './darksummonchoose.js';
import './darkswordchoose.js';

//Extra Magic Imports
import './clearer.js';

//Scripts

import { world, Player } from "@minecraft/server"

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darkwave') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:creaturesofthevoid') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darkareai') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darknesscoat') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darkcrystali') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darkphantomi') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darknessbindingrestraints') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darkshot') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:darkdimensionslash') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:lightlesswavebarrage') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.entityHitEntity.subscribe(({ hitEntity, damagingEntity: player }) => {
    if (!(player instanceof Player)) return;

    let weapon = player.getComponent('equippable')?.getEquipment('Mainhand');

    if (weapon?.typeId === 'zk:lightlesswavebarrageactive') {
        player.runCommand('function darkhit') // Player runs the command
    }
});

world.afterEvents.chatSend.subscribe(({ sender, message }) => {
    if (message === "mwinitiate") {
        Initiate(sender)
    }
})

function Initiate(player) {
    player.runCommand("function worldfirstload")
}
